#photos {
   /* Prevent vertical gaps */
   line-height: 0;
   -webkit-column-count: 1;
   -webkit-column-gap:   0px;
   -moz-column-count:    1;
   -moz-column-gap:      0px;
   column-count:         1;
   column-gap:           0px;


  } 

#photos img {
  /* Just in case there are inline attributes */
  width: 100% !important;
  height: auto !important;
  }


}
@media (max-width: 1000px) {
  #photos {
  -moz-column-count:    3;
  -webkit-column-count: 3;
  column-count:         3;

  }
}
@media (max-width: 800px) {
  #photos {
  -moz-column-count:    2;
  -webkit-column-count: 2;
  column-count:         2;
  }
}
@media (max-width: 400px) {
  #photos {
  -moz-column-count:    1;
  -webkit-column-count: 1;
  column-count:         1;
  }
}


.grayscale{ 
  
    filter: grayscale(100%);
    -webkit-filter: grayscale(100%);  /* For Webkit browsers */
    filter: gray;  /* For IE 6 - 9 */
    -webkit-transition: all .6s ease;  /* Transition for Webkit browsers */
}

.grayscale:hover { 
    filter: grayscale(0%);
    -webkit-filter: grayscale(0%);
    filter: none;
}


</html>